Bug 216171 - kexec installation of kernel fails due to overlapping segment detection
kexec installation of kernel fails due to overlapping segment detection
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 11:35 EST by gdelx001
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 11:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gdelx001 2006-11-17 11:35:45 EST
Description of problem:

Forcing dump under kdump failed with explanation that dump kernel wasn't
installed, so investigated manually installing dump kernel.  Oh, and yes, there
was a properly formed crashkernel=128M@16M option on the boot commandline, plus
the appropriate region appeared carved out in /proc/iomem.  Incidentally there
was nothing in syslog that indicated that dump kernel installation had failed.

Using the kexec installation line from /etc/init.d/kdump:
/sbin/kexec -p --args-linux --command-line="ro root=/dev/VolGroup00/LogVol00
rhgb quiet" --initrd=/boot/initrd-2.6.18-1.2849.fc6kdump.img
/boot/vmlinux-2.6.18-1.2849.fc6kdump

I got the message:

Overlapping memory segments at 0x1460000
sort_segments failed

This may be similar or identical to a bug reported against kexec w/ x86-64 on
the fastboot mailing list around the beginning of October, and may require
tweaking the dump kernel.  Incidentally, there is no kernel-kdump component in
bugzilla presently to speculatively report this problem against.


Version-Release number of selected component (if applicable):
kexec-tools-1.101-51.fc6
2.6.18-1.2849.fc6kdump

How reproducible:
always

Steps to Reproduce:
1.run kexec line above
2.
3.
  
Actual results:
Overlapping memory segments at 0x1460000
sort_segments failed


Expected results:
installed kernel

Additional info:
Installing the dump kernel is a crucial first step in an attempt to detect a
quiet, frequent lockup of an x86-64 system under Fedora Core 6.
Comment 1 Neil Horman 2006-11-21 11:44:27 EST
Hey!  Thanks for the report.  This is actually a kernel bug though, that results
from overlapping physical address for program headers getting written into the
compiled kdump kernel.  you need this patch for your kernel:
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=dbaab49f92ff6ae6255762a948375e4036cbdbd2

It just got added to Linus' tree today, so I expect Dave J. will have it in the
FC-6 kernel shortly.

Note You need to log in before you can comment on or make changes to this bug.